diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index b1d5013..1869371 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -39312,7 +39312,7 @@ FiniteAbelianMonoidRing(R:Ring, E:OrderedAbelianMonoid): Category ==
          ++ primitivePart(p) returns the unit normalized form of polynomial p
          ++ divided by the content of p.
   add
-    pomopo!(p1,r,e,p2) == p1 + r * mapExponents(#1+e,p2)
+    pomopo!(p1,r,e,p2) == p1 + r * mapExponents(x1+->x1+e,p2)
 
     if R has CommutativeRing then 
        binomThmExpt(x,y,nn) ==
@@ -39344,7 +39344,7 @@ FiniteAbelianMonoidRing(R:Ring, E:OrderedAbelianMonoid): Category ==
       concat(leadingCoefficient x, coefficients reductum x)
 
     if R has Field then
-       x/r == map(#1/r,x)
+       x/r == map(x1+->x1/r,x)
 
     if R has IntegralDomain then
        x exquo r ==
diff --git a/changelog b/changelog
index 677da4f..0cad5e8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.21.tpd.patch
+20090510 tpd books/bookvol10.2 FAMR +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.20.tpd.patch
 20090501 tpd books/bookvol10.4 BOP1 +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.19.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 855d298..98d3ba6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1200,5 +1200,7 @@ bookvol10.3 D01ASFA +-> conversion<br/>
 bookvol10.2 AMR +-> conversion<br/>
 <a href="patches/20090510.20.tpd.patch">20090510.20.tpd.patch</a>
 bookvol10.4 BOP1 +-> conversion<br/>
+<a href="patches/20090510.21.tpd.patch">20090510.21.tpd.patch</a>
+bookvol10.2 FAMR +-> conversion<br/>
  </body>
 </html>
